![AWESOME CHEATSHEETS LOgO](_images/awesome_cheatsheets_logo@2x.png)

> 📚 Awesome cheatsheets for popular programming languages, frameworks and development tools. They include everything you should know in one single file.

> ❤️ **If you love this repository, [you can click here to make it spread](https://ctt.ec/PHba4).**


## Why Awesome Cheatsheets?

I always make a cheatsheet when I want to improve my skills on a programming language, a framework or a development tool. [I started doing these kind of things a long time ago on Gist](https://gist.github.com/LeCoupa) but as it is easier to keep track of the history, I reorganized everything into a single repository. Most of the content is coming from official documentations or some books I have read.

Feel free to browse each file to learn new things and to keep them at hand when you forgot about something. They have been designed to save you time when you are building great things and to provide a quick way to assess your knowledge.

**If you want to follow this mindset for your favorite programming language, framework or development tool, you are more than welcome to contribute. Just submit changes via pull request and I will review it.**


## Table of Contents

- [Languages](#languages)

- [Backend](#backend)

- [Frontend](#frontend)

- [Databases](#databases)

- [Tools](#tools)


## Languages

- [Bash](languages/bash.sh)

- [JavaScript](languages/javascript.js)


## Backend

- [Django](backend/django.py)

- [Feathers.js](backend/feathers.js)

- [Node.js](backend/node.js)


## Frontend

- [Vue.js](frontend/vue.js)


## Databases

- [Redis](databases/redis.sh)


## Tools

- [Docker](tools/docker.sh)

- [Nanobox Boxfile](tools/nanobox_boxfile.yml)

- [Nanobox CLI](tools/nanobox_cli.sh)

- [VIM](tools/vim.txt)
